Package ru.bitel.bgbilling.modules.payonline.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.payonline.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_ENABLE`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_PAYMENT_SYSTEM_TYPE`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_RECEIPT_QTY`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_RECEIPT_QTY_MEASURE`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_RECEIPT_TAX`
  `static final String`
  `KEY_PAYONLINE_FISCALIZATION_TYPE_OF_PAYMENT`
  `static final String`
  `KEY_PAYONLINE_LOGO_MASTERCARD_URL`
  `static final String`
  `KEY_PAYONLINE_LOGO_VISA_URL`
  `static final String`
  `KEY_PAYONLINE_MERCHANT_ID`
  `static final String`
  `KEY_PAYONLINE_SUM_MAX`
  `static final String`
  `KEY_PAYONLINE_SUM_MIN`
  `static final String`
  `PAYONLINE_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `PAYONLINE_FISCALIZATION_RECEIPT_QTY_MEASURE`
  `static final String`
  `PAYONLINE_LOGO_MASTERCARD_URL`
  `static final String`
  `PAYONLINE_LOGO_VISA_URL`
  `static final int`
  `PAYONLINE_SUM_MAX`
  `static final int`
  `PAYONLINE_SUM_MIN`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PAYONLINE_SUM_MIN

    public static final int PAYONLINE_SUM_MIN
    See Also:
      - Constant Field Values

  - ### PAYONLINE_SUM_MAX

    public static final int PAYONLINE_SUM_MAX
    See Also:
      - Constant Field Values

  - ### PAYONLINE_LOGO_VISA_URL

    public static final String PAYONLINE_LOGO_VISA_URL
    See Also:
      - Constant Field Values

  - ### PAYONLINE_LOGO_MASTERCARD_URL

    public static final String PAYONLINE_LOGO_MASTERCARD_URL
    See Also:
      - Constant Field Values

  - ### PAYONLINE_FISCALIZATION_RECEIPT_NAME

    public static final String PAYONLINE_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### PAYONLINE_FISCALIZATION_RECEIPT_QTY_MEASURE

    public static final String PAYONLINE_FISCALIZATION_RECEIPT_QTY_MEASURE
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_SUM_MIN

    public static final String KEY_PAYONLINE_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_SUM_MAX

    public static final String KEY_PAYONLINE_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_MERCHANT_ID

    public static final String KEY_PAYONLINE_MERCHANT_ID
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_LOGO_VISA_URL

    public static final String KEY_PAYONLINE_LOGO_VISA_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_LOGO_MASTERCARD_URL

    public static final String KEY_PAYONLINE_LOGO_MASTERCARD_URL
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_ENABLE

    public static final String KEY_PAYONLINE_FISCALIZATION_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_PAYMENT_SYSTEM_TYPE

    public static final String KEY_PAYONLINE_FISCALIZATION_PAYMENT_SYSTEM_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_TYPE_OF_PAYMENT

    public static final String KEY_PAYONLINE_FISCALIZATION_TYPE_OF_PAYMENT
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_RECEIPT_NAME

    public static final String KEY_PAYONLINE_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_RECEIPT_QTY

    public static final String KEY_PAYONLINE_FISCALIZATION_RECEIPT_QTY
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_RECEIPT_QTY_MEASURE

    public static final String KEY_PAYONLINE_FISCALIZATION_RECEIPT_QTY_MEASURE
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_RECEIPT_TAX

    public static final String KEY_PAYONLINE_FISCALIZATION_RECEIPT_TAX
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

    public static final String KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

    public static final String KEY_PAYONLINE_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()